package de.intevation.flys.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.apache.log4j.Logger;




@Entity
@Table(name = "waterlevel_values")
public class WaterlevelValue
implements   Serializable
{
    private static Logger logger = Logger.getLogger(WaterlevelValue.class);

    private Integer id;

    private WaterlevelQRange qRange;

    private Double station;
    private Double w;


    public WaterlevelValue() {
    }

    public WaterlevelValue(WaterlevelQRange qRange, Double station, Double w) {
        this.qRange  = qRange;
        this.station = station;
        this.w       = w;
    }


    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_WATERLEVEL_VALUES_ID_SEQ",
        sequenceName   = "WATERLEVEL_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_WATERLEVEL_VALUES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @OneToOne
    @JoinColumn(name = "waterlevel_q_range_id" )
    public WaterlevelQRange getQRange() {
        return qRange;
    }

    public void setQRange(WaterlevelQRange qRange) {
        this.qRange = qRange;
    }

    @Column(name = "station")
    public Double getStation() {
        return station;
    }

    public void setStation(Double station) {
        this.station = station;
    }

    @Column(name = "w")
    public Double getW() {
        return w;
    }

    public void setW(Double w) {
        this.w = w;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
